Bug 1563182 - ERROR : 404 when trying to set the retirement date of the service
Summary: ERROR : 404 when trying to set the retirement date of the service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1569177 1569179
TreeView+ depends on / blocked
 
Reported: 2018-04-03 11:19 UTC by Imaan
Modified: 2021-09-09 13:35 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1569177 1569179 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:59:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Imaan 2018-04-03 11:19:33 UTC
Description of problem:

ERROR: 404 when trying to set the retirement date of the service


Version-Release number of selected component (if applicable):

5.8.3.4.20180221165627_8efa813

How reproducible:

Always

Steps to Reproduce:

1. Login to CloudForms Portal.

2. Navigate to Services -> My Services -> Active Services -> Click on any service -> VMs -> Relationships -> Service -> Click on service -> Lifecycle -> Set Retriement Dtae for this Service 


Actual results:

Status 404 Not Found

Content-Type text/html; charset=utf-8

Data <!DOCTYPE html> <html> <head> <title>The page you were looking for doesn't exist (404)</title> <style type="text/css"> body { background-color: #fff; color: #666; text-align: center; font-family: arial, sans-serif; } div.dialog { width: 25em; padding: 0 4em; margin: 4em auto 0 auto; border: 1px solid #ccc; border-right-color: #999; border-bottom-color: #999; } h1 { font-size: 100%; color: #f00; line-height: 1.5em; } </style> </head> <body> <!-- This file lives in public/404.html --> <div class="dialog"> <h1>The page you were looking for doesn't exist.</h1> <p>You may have mistyped the address or the page may have moved.</p> </div> </body> </html>


Expected results:

It should set the retirement date successfully.

Additional info:

If the service is represented by the following link in the browser: 

"https://<IP>/service/explorer/s-1"

where 1 is the service ID in the VMDB. If we remove the last part of the link containing service ID ("https://<IP>/service/explorer") and after that, I can successfully set the date of the retirement on the service.

Comment 5 CFME Bot 2018-04-17 14:13:17 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ae40a01541dcfb4cd1c3d9246594d7aa1841b074
commit ae40a01541dcfb4cd1c3d9246594d7aa1841b074
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Apr  9 09:07:50 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Apr  9 09:07:50 2018 -0400

    Fix url for service / vm / instance / stack retirement

    In case we get to the retirement screen after navigating through
    bunch of other related items, we need to construct the whole
    retirement URL.

    https://bugzilla.redhat.com/show_bug.cgi?id=1563182

 app/assets/javascripts/controllers/retirement/retirement_form_controller.js | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 8 Niyaz Akhtar Ansari 2018-09-04 08:37:24 UTC
Verified in  Version 5.10.0.14.20180831154906_2f9a1dd


Note You need to log in before you can comment on or make changes to this bug.